SDL_GetWindows(3)

NAME
SDL_GetWindows - Get a list of valid windows.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_Window ** SDL_GetWindows(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of windows returned, may be NULL.

RETURN VALUE
Returns a NULL terminated array of SDL_Window pointers or NULL on failure; call SDL_GetError() for more information. This is a single allocation that should be freed with SDL_free() when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.